Subject: [core] Link-format to DNS-SD mapping: URI rt values

From: Dave Thaler <[email-masked]>
Date: Mon, 16 Jul 2018 21:09:31 +0000

Just to put to the list the question I raised in the meeting:
RFC 6690 section 3.1 allows rt values to be either:
a) IANA-assigned, OR
b) URIs (e.g., "http://sweet.jpl.nasa.gov/2.0/phys.owl#Temperature" 
    in the example in the RFC)

The presentation today only mentioned (a).
The question was: how would you handle (b)?

Dave

---

From: Michael Koster <[email-masked]>
Date: Mon, 16 Jul 2018 17:30:46 -0400

Or the URN form may also be used, e.g. "rt=urn:myorg:sensor:temperature" which can enable an organization to manage its own namespace

> On Jul 16, 2018, at 5:09 PM, Dave Thaler <dthaler=[email-masked]> wrote:
> 
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 17 Jul 2018 14:31:35 -0600

> Or the URN form may also be used, e.g. "rt=urn:myorg:sensor:temperature" which can enable an organization to manage its own namespace

Don't do that. You can't just create your own URN namespaces:

https://tools.ietf.org/html/rfc8141#section-5

It's better to use URIs with the domain name of your organization, or
use the urn:example namespace:

https://tools.ietf.org/html/rfc6963

Peter

---

From: Michael Koster <[email-masked]>
Date: Tue, 17 Jul 2018 16:55:27 -0400

Yes obviously... My example assumes that one has a URN namespace. 

Is that an unreasonabe assumption?

Many of the organizations I work with have or plan to have URN namespaces.

Best regards,

Michael

> On Jul 17, 2018, at 4:31 PM, Peter Saint-Andre <[email-masked]> wrote:
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 17 Jul 2018 15:04:19 -0600

> Is that an unreasonabe assumption?

Well, it depends on what kind of organizations we're talking about. When
I worked at Cisco, I saw developers creating urn:cisco:foo URNs and you
can't just mint your namespaces, so that was bad.

> Many of the organizations I work with have or plan to have URN namespaces.

Excellent. Please point them to RFC 8141 for the updated definition of
URNs and the updated registration process for URN namespaces... :-)

https://tools.ietf.org/html/rfc8141

Peter

(team lead, URN namespace expert review team)

---

From: Michael Koster <[email-masked]>
Date: Tue, 17 Jul 2018 19:21:03 -0400

Thanks, Peter,

For future reference, how should one format URN examples, in messages and drafts, so as not to imply that they are being freely minted?

Best regards,

Michael

> On Jul 17, 2018, at 5:04 PM, Peter Saint-Andre <[email-masked]> wrote:
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 17 Jul 2018 18:13:03 -0600

> On Jul 17, 2018, at 5:21 PM, Michael Koster <[email-masked]> wrote:
> 
> Thanks, Peter,
> 

It’s best to use the urn:example namespace from RFC 6963.

Peter